package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.OrderDto;
import com.junmp.jyzb.api.bean.dto.OrderMainDto;
import com.junmp.jyzb.api.bean.query.OrderMainReq;
import com.junmp.jyzb.api.bean.req.UpdateOrderReq;
import com.junmp.jyzb.entity.OrderMain;
import com.junmp.v2.db.api.page.PageResult;
import java.util.Map;

public interface OrderService extends IService<OrderMain> {
    String AddOrder(UpdateOrderReq req);
    String AddFinishOrder(UpdateOrderReq req);


    Boolean updateOrder(UpdateOrderReq req);



    //判断任务单是否存在
    OrderMain orderMainExist(String id);


    //查询任务列表(根据组织机构id)
    PageResult<OrderMainDto> getOrderPage(OrderMainReq req);

    //根据任务单id查看业务明细
    OrderDto GetDetailById(OrderMainReq req);

    //设置page的pageNo和pageSize的通用方法
    public Map<String,Long> getPage(Long no,Long size);
}
